Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# ReferenceTriangle Class Reference

`#include <Polygon.h>`

Inheritance diagram for ReferenceTriangle:

List of all members.

## Public Member Functions
| ReferenceTriangle (string subscript="")
virtual | ~ReferenceTriangle ()
virtual int | no_vertices ()
virtual GiNaC::ex | vertex (int i)
virtual Line | line (int i)
virtual GiNaC::ex | repr (Repr_format format=SUBS_PERFORMED)
virtual string | str ()
virtual GiNaC::ex | integrate (GiNaC::ex f)

## Detailed Description

Definition at line 100 of file Polygon.h.

## Constructor & Destructor Documentation

ReferenceTriangle::ReferenceTriangle | ( | string | subscript = `""` | ) |

| Definition at line 467 of file Polygon.cpp. References Polygon::p, and Polygon::subscript.
    00467                                                        {
    00468   subscript = subscript_;
    00469   GiNaC::ex x0 = GiNaC::lst(0,0,0);
    00470   GiNaC::ex x1 = GiNaC::lst(1,0,0);
    00471   GiNaC::ex x2 = GiNaC::lst(0,1,0);
    00472   p.insert(p.end(), x0);
    00473   p.insert(p.end(), x1);
    00474   p.insert(p.end(), x2);
    00475 }

virtual ReferenceTriangle::~ReferenceTriangle | ( |  | ) | `[inline, virtual]`

| Definition at line 103 of file Polygon.h.
    00103 {}

## Member Function Documentation

GiNaC::ex ReferenceTriangle::integrate | ( | GiNaC::ex | f | ) | `[virtual]`

| Definition at line 502 of file Polygon.cpp. References x, and y.
    00502                                                {
    00503   GiNaC::ex ret = GiNaC::eval_integ(
    00504                   GiNaC::integral(y,0,1,
    00505                   GiNaC::eval_integ(
    00506                   GiNaC::integral(x,0,1-y,f))));
    00507   return ret;
    00508 }

Line ReferenceTriangle::line | ( | int | i | ) | `[virtual]`

| Reimplemented from Triangle. Definition at line 487 of file Polygon.cpp. References Triangle::line().
    00487                                    {
    00488   return Triangle:: line(i);
    00489 }

int ReferenceTriangle::no_vertices | ( |  | ) | `[virtual]`

| Reimplemented from Triangle. Definition at line 477 of file Polygon.cpp.
    00477 { return 3; }

GiNaC::ex ReferenceTriangle::repr | ( | Repr_format | format = `SUBS_PERFORMED` | ) | `[virtual]`

| Reimplemented from Triangle. Definition at line 491 of file Polygon.cpp. References Triangle::repr().
    00491                                                    {
    00492   return Triangle:: repr();
    00493 }

string ReferenceTriangle::str | ( |  | ) | `[virtual]`

| Reimplemented from Triangle. Definition at line 495 of file Polygon.cpp.
    00495                                {
    00496    std::ostringstream s;
    00497 //   s <<"ReferenceTriangle("<<p[0]<<","<<p[1]<<","<<p[2]<<")";
    00498    s <<"ReferenceTriangle";
    00499    return s.str();
    00500 }

GiNaC::ex ReferenceTriangle::vertex | ( | int | i | ) | `[virtual]`

| Reimplemented from Triangle. Definition at line 479 of file Polygon.cpp. References Triangle::vertex().
    00479                                          {
    00480   return Triangle::vertex(i);
    00481 }

The documentation for this class was generated from the following files:

- Polygon.h
- Polygon.cpp